Loading...
Searching...
No Matches
D3D12_DESCRIPTOR_RANGE1 Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

D3D12_DESCRIPTOR_RANGE_TYPE | RangeType
UINT | NumDescriptors
UINT | BaseShaderRegister
UINT | RegisterSpace
D3D12_DESCRIPTOR_RANGE_FLAGS | Flags
UINT | OffsetInDescriptorsFromTableStart

## Detailed Description

Definition at line 3040 of file mini_d3d12.h.

## Member Data Documentation

## RangeType

D3D12_DESCRIPTOR_RANGE_TYPE D3D12_DESCRIPTOR_RANGE1::RangeType

Definition at line 3041 of file mini_d3d12.h.

## NumDescriptors

UINT D3D12_DESCRIPTOR_RANGE1::NumDescriptors

Definition at line 3042 of file mini_d3d12.h.

## BaseShaderRegister

UINT D3D12_DESCRIPTOR_RANGE1::BaseShaderRegister

Definition at line 3043 of file mini_d3d12.h.

## RegisterSpace

UINT D3D12_DESCRIPTOR_RANGE1::RegisterSpace

Definition at line 3044 of file mini_d3d12.h.

## Flags

D3D12_DESCRIPTOR_RANGE_FLAGS D3D12_DESCRIPTOR_RANGE1::Flags

Definition at line 3045 of file mini_d3d12.h.

## OffsetInDescriptorsFromTableStart

UINT D3D12_DESCRIPTOR_RANGE1::OffsetInDescriptorsFromTableStart

Definition at line 3046 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h